Package org.apache.ignite.lang

## Interface IgniteCallable<V>

All Superinterfaces:
  `Callable<V>`, `Serializable`

All Known Implementing Classes:
  `AtomicIntegerFactoryCallable`, `ClientGetClusterStateComputeRequest`, `ConcurrentHashSetFactoryCallable`, `ConcurrentMapFactoryCallable`, `ContentionClosure`, `FetchActiveTxOwnerTraceClosure`, `FindAndDeleteGarbageInPersistenceClosure`, `MapFactoryCallable`, `PlatformCallable`, `SetFactoryCallable`, `UpgradePendingTreeToPerPartitionTask`, `ValidateIndexesClosure`, `ViewCacheClosure`

    public interface IgniteCallable<V>
    extends Callable<V>, Serializable

Grid-aware adapter for `Callable` implementations. It adds `Serializable` interface to `Callable` object. Use this class for executing distributed computations on the grid, like in `IgniteCompute.call(IgniteCallable)` method.

### Method Summary

### Methods inherited from interface java.util.concurrent.Callable

`call`